Bug 1482856 - Unable to start vhost if iommu_platform=on but intel_iommu=on not specified in guest [rhel-7.4.z]
Summary: Unable to start vhost if iommu_platform=on but intel_iommu=on not specified i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Peter Xu
QA Contact: xiywang
URL:
Whiteboard:
Depends On: 1476121
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-18 08:38 UTC by Oneata Mircea Teodor
Modified: 2017-09-05 11:52 UTC (History)
12 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-16.el7_4.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1476121
Environment:
Last Closed: 2017-09-05 11:52:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2628 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-09-05 15:52:24 UTC

Description Oneata Mircea Teodor 2017-08-18 08:38:47 UTC
This bug has been copied from bug #1476121 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 2 Miroslav Rezanina 2017-08-23 05:17:25 UTC
Fix included in qemu-kvm-rhev-2.9.0-16.el7_4.5

Comment 3 xiywang 2017-08-23 08:58:55 UTC
Before fix included: 
qemu-kvm-rhev-2.9.0-14.el7.x86_64
# /usr/libexec/qemu-kvm \
-name 'virt-tests-vm2' -sandbox off -machine q35,kernel-irqchip=split -vga std \
-drive id=drive_image1,if=none,snapshot=on,aio=threads,cache=none,format=qcow2,file=/home/kvm_autotest_root/images/rhel74-64-virtio.qcow2 -device virtio-blk-pci,id=image1,drive=drive_image1 \
-device intel-iommu,intremap=on,device-iotlb=on -device ioh3420,id=pcie.1,chassis=1 \
-device virtio-net-pci,mac=9a:86:87:88:89:8a,id=idRB0WNk,vectors=4,netdev=idb3O1YX,disable-legacy=on,disable-modern=off,iommu_platform=on,ats=on -netdev tap,id=idb3O1YX,vhost=on,script=/etc/ovs-ifup,downscript=/etc/ovs-ifdown,vhostforce \
-m 8192 -smp 8 -cpu 'Haswell-noTSX',+kvm_pv_unhalt,hv_spinlocks=0x1fff,hv_vapic,hv_time \
-vnc :1 -rtc base=localtime,clock=host,driftfix=slew -enable-kvm -monitor stdio
QEMU 2.9.0 monitor - type 'help' for more information
(qemu) qemu-kvm: unable to start vhost net: 14: falling back on userspace virtio



After fix included:
# rpm -qa | grep qemu-kvm-rhev
qemu-kvm-rhev-2.9.0-16.el7_4.5.x86_64
Use the same qemu command as above to boot the guest, 'qemu-kvm: unable to start vhost net: 14: falling back on userspace virtio' does not appear again.

Comment 5 xiywang 2017-08-24 01:37:52 UTC
According to comment 3, set this bug to Verified.

Comment 7 errata-xmlrpc 2017-09-05 11:52:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2628


Note You need to log in before you can comment on or make changes to this bug.